IMG_GetAnimationDecoderProperties(3)

NAME
IMG_GetAnimationDecoderProperties - Get the properties of an animation decoder.

SYNOPSIS
#include <SDL3_image/SDL_image.h>

SDL_PropertiesID IMG_GetAnimationDecoderProperties(IMG_AnimationDecoder *decoder);

#define IMG_PROP_METADATA_IGNORE_PROPS_BOOLEAN                 "SDL_image.metadata.ignore_props"
#define IMG_PROP_METADATA_DESCRIPTION_STRING                   "SDL_image.metadata.description"
#define IMG_PROP_METADATA_COPYRIGHT_STRING                     "SDL_image.metadata.copyright"
#define IMG_PROP_METADATA_TITLE_STRING                         "SDL_image.metadata.title"
#define IMG_PROP_METADATA_AUTHOR_STRING                        "SDL_image.metadata.author"
#define IMG_PROP_METADATA_CREATION_TIME_STRING                 "SDL_image.metadata.creation_time"
#define IMG_PROP_METADATA_FRAME_COUNT_NUMBER                   "SDL_image.metadata.frame_count"
#define IMG_PROP_METADATA_LOOP_COUNT_NUMBER                    "SDL_image.metadata.loop_count"

DESCRIPTION
This function returns the properties of the animation decoder, which holds information about the underlying image such as description, copyright text and loop count.

IMG_PROP_METADATA_LOOP_COUNT_NUMBER, if present, specifies the number of times to play the animation, with 0 meaning loop continuously.

FUNCTION PARAMETERS

decoder
    the animation decoder.

RETURN VALUE
Returns the properties ID of the animation decoder, or 0 if there are no properties; call SDL_GetError() for more information.

AVAILABILITY
This function is available since SDL_image 3.4.0.

SEE ALSO
IMG_CreateAnimationDecoder(3), IMG_CreateAnimationDecoder_IO(3), IMG_CreateAnimationDecoderWithProperties(3)